Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ImperativeOCLFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeOCLFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, ImperativeOCLFactory

    public class ImperativeOCLFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements ImperativeOCLFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeOCLFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`ImperativeOCLFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` | `convertSeverityKindToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AltExp` | `createAltExp()`
`AssertExp` | `createAssertExp()`
`AssignExp` | `createAssignExp()`
`BlockExp` | `createBlockExp()`
`BreakExp` | `createBreakExp()`
`CatchExp` | `createCatchExp()`
`ComputeExp` | `createComputeExp()`
`ContinueExp` | `createContinueExp()`
`DictionaryType` | `createDictionaryType()`
`DictLiteralExp` | `createDictLiteralExp()`
`DictLiteralPart` | `createDictLiteralPart()`
`ForExp` | `createForExp()`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ImperativeIterateExp` | `createImperativeIterateExp()`
`InstantiationExp` | `createInstantiationExp()`
`ListType` | `createListType()`
`LogExp` | `createLogExp()`
`OrderedTupleLiteralExp` | `createOrderedTupleLiteralExp()`
`OrderedTupleLiteralPart` | `createOrderedTupleLiteralPart()`
`OrderedTupleType` | `createOrderedTupleType()`
`RaiseExp` | `createRaiseExp()`
`ReturnExp` | `createReturnExp()`
`SeverityKind` | `createSeverityKindFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SwitchExp` | `createSwitchExp()`
`TemplateParameterType` | `createTemplateParameterType()`
`TryExp` | `createTryExp()`
`Typedef` | `createTypedef()`
`UnlinkExp` | `createUnlinkExp()`
`UnpackExp` | `createUnpackExp()`
`VariableInitExp` | `createVariableInitExp()`
`WhileExp` | `createWhileExp()`
`ImperativeOCLPackage` | `getImperativeOCLPackage()`
`static ImperativeOCLPackage` | `getPackage()` Deprecated.
`static ImperativeOCLFactory` | `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### ImperativeOCLFactoryImpl

    public ImperativeOCLFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static ImperativeOCLFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAltExp

    public AltExp createAltExp()

  Specified by:
    `createAltExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Alt Exp'.

### createAssertExp

    public AssertExp createAssertExp()

  Specified by:
    `createAssertExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Assert Exp'.

### createAssignExp

    public AssignExp createAssignExp()

  Specified by:
    `createAssignExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Assign Exp'.

### createBlockExp

    public BlockExp createBlockExp()

  Specified by:
    `createBlockExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Block Exp'.

### createBreakExp

    public BreakExp createBreakExp()

  Specified by:
    `createBreakExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Break Exp'.

### createCatchExp

    public CatchExp createCatchExp()

  Specified by:
    `createCatchExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Catch Exp'.

### createComputeExp

    public ComputeExp createComputeExp()

  Specified by:
    `createComputeExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Compute Exp'.

### createContinueExp

    public ContinueExp createContinueExp()

  Specified by:
    `createContinueExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Continue Exp'.

### createDictLiteralExp

    public DictLiteralExp createDictLiteralExp()

  Specified by:
    `createDictLiteralExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dict Literal Exp'.

### createDictLiteralPart

    public DictLiteralPart createDictLiteralPart()

  Specified by:
    `createDictLiteralPart` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dict Literal Part'.

### createDictionaryType

    public DictionaryType createDictionaryType()

  Specified by:
    `createDictionaryType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Dictionary Type'.

### createForExp

    public ForExp createForExp()

  Specified by:
    `createForExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'For Exp'.

### createImperativeIterateExp

    public ImperativeIterateExp createImperativeIterateExp()

  Specified by:
    `createImperativeIterateExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Imperative Iterate Exp'.

### createInstantiationExp

    public InstantiationExp createInstantiationExp()

  Specified by:
    `createInstantiationExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Instantiation Exp'.

### createListType

    public ListType createListType()

  Specified by:
    `createListType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'List Type'.

### createLogExp

    public LogExp createLogExp()

  Specified by:
    `createLogExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Log Exp'.

### createOrderedTupleLiteralExp

    public OrderedTupleLiteralExp createOrderedTupleLiteralExp()

  Specified by:
    `createOrderedTupleLiteralExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Literal Exp'.

### createOrderedTupleLiteralPart

    public OrderedTupleLiteralPart createOrderedTupleLiteralPart()

  Specified by:
    `createOrderedTupleLiteralPart` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Literal Part'.

### createOrderedTupleType

    public OrderedTupleType createOrderedTupleType()

  Specified by:
    `createOrderedTupleType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Ordered Tuple Type'.

### createRaiseExp

    public RaiseExp createRaiseExp()

  Specified by:
    `createRaiseExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Raise Exp'.

### createReturnExp

    public ReturnExp createReturnExp()

  Specified by:
    `createReturnExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Return Exp'.

### createSwitchExp

    public SwitchExp createSwitchExp()

  Specified by:
    `createSwitchExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Switch Exp'.

### createTemplateParameterType

    public TemplateParameterType createTemplateParameterType()

  Specified by:
    `createTemplateParameterType` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Template Parameter Type'.

### createTryExp

    public TryExp createTryExp()

  Specified by:
    `createTryExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Try Exp'.

### createTypedef

    public Typedef createTypedef()

  Specified by:
    `createTypedef` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Typedef'.

### createUnlinkExp

    public UnlinkExp createUnlinkExp()

  Specified by:
    `createUnlinkExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Unlink Exp'.

### createUnpackExp

    public UnpackExp createUnpackExp()

  Specified by:
    `createUnpackExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Unpack Exp'.

### createVariableInitExp

    public VariableInitExp createVariableInitExp()

  Specified by:
    `createVariableInitExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'Variable Init Exp'.

### createWhileExp

    public WhileExp createWhileExp()

  Specified by:
    `createWhileExp` in interface `ImperativeOCLFactory`
  Returns:
    a new object of class 'While Exp'.

### createSeverityKindFromString

    public SeverityKind createSeverityKindFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertSeverityKindToString

    public java.lang.String convertSeverityKindToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

### getImperativeOCLPackage

    public ImperativeOCLPackage getImperativeOCLPackage()

  Specified by:
    `getImperativeOCLPackage` in interface `ImperativeOCLFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static ImperativeOCLPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD